[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditorCanAcceptKey

Returns True if the Editor is able to accept the specified UTF-8 character.

## Declaration

Source position: grids.pas line 1074

`protected function TCustomGrid.EditorCanAcceptKey(`
`const ch: TUTF8Char`
`):Boolean; virtual;`

## Arguments

`ch` |  | UTF-8 character examined in the method.

## Function result

True the active cell editor can accept the specified UTF-8 character.

## Description

Always returns True in TCustomGrid. It is overridden in descendent classes like TCustomDbGrid.

## See also

TCustomDBGrid.EditorCanAcceptKey |  | EditorCanAcceptKey determines if the specified character can be applied to the Field for the editor.